import { csv } from 'd3';

export const loadData = () =>
csv('https://vizhub.com/veagy/datasets/2000-2016 Worldwide Exports.csv')
  .then(loadedData => {
    data = loadedData;
    data.forEach(d => {
      d['China'] = +d['China'];
      d['United States of America'] = +d['United States of America'];
      d['Brazil'] = +d['Brazil'];
      d['India'] = +d['India'];
      d['Japan'] = +d['Japan'];
      d['Mexico'] = +d['Mexico'];
      d['Russian Federation'] = +d['Russian Federation'];
    });
		return data;
});


/*
export const loadData = () => 
  csv('https://vizhub.com/OxfordComma/datasets/playcounts_bymonth_byartist.csv')
    .then(data => {
      var newData = new Array();
      // First filter removes the blank key
      // Next filter removes the year_month field
      const artistList = Object.keys(data[0]); 
      data.forEach(d => {
        artistList.forEach(a => {
          newData.push({
            month: new Date(
              d.year_month.slice(0, 4), d.year_month.slice(4, 6)), 
            artist: a,
            plays: +d[a]
          });
        });
      });
      return newData;
    });

*/